## golang-github-mesos-mesos-go 0.0.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/mesos/mesos-go
export DH_GOLANG_EXCLUDES = examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	## network tests, ignore failures:
	-dh_auto_test

## golang-github-mesos-mesos-go 0.0.1+dfsg

=== examples/Makefile ===
BIN := scheduler executor zkdetect
.PHONY:
.PHONY: all $(BIN)

all: $(BIN)

$(BIN):
	mkdir -p _output
	godep go build -o _output/$@ ./$@

=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2015].
  * Build-Depends += "golang-objx-dev".
  * rules: added "DH_GOLANG_EXCLUDES = examples".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 13:05:23 +1000

golang-github-mesos-mesos-go (0.0~git20150903.0.d98afa6-1) unstable; urgency=medium

  * Initial release (Closes: #798129).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Sep 2015 01:11:41 +1000

=== debian/control ===
Source: golang-github-mesos-mesos-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-gogoprotobuf-dev | golang-github-gogo-protobuf-dev,
               golang-glog-dev | golang-github-golang-glog-dev,
               golang-github-pborman-uuid-dev,
               golang-github-samuel-go-zookeeper-dev,
               golang-objx-dev | golang-github-stretchr-objxy-dev,
               golang-testify-dev | golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 3.9.6
Homepage: https://github.com/mesos/mesos-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-mesos-mesos-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-mesos-mesos-go.git

Package: golang-github-mesos-mesos-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-gogoprotobuf-dev | golang-github-gogo-protobuf-dev,
         golang-glog-dev | golang-github-golang-glog-dev,
         golang-github-pborman-uuid-dev,
         golang-github-samuel-go-zookeeper-dev,
         golang-objx-dev | golang-github-stretchr-objxy-dev,
         golang-testify-dev | golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev
Built-Using: ${misc:Built-Using}
Description: Go language bindings for Apache Mesos
 Pure Go language bindings for Apache Mesos. As with other pure
 implementation, mesos-go uses the HTTP wire protocol to communicate
 directly with a running Mesos master and its slave instances. One of the
 objectives of this project is to provide an idiomatic Go API that makes it
 super easy to create Mesos frameworks using Go.

## golang-github-mesos-mesos-go 0.0.2+dfsg

=== examples/Makefile ===
BIN := scheduler executor zkdetect
RACE := -race

.PHONY:
.PHONY: all $(BIN)

all: $(BIN)

$(BIN):
	mkdir -p _output
	godep go build $(RACE) -o _output/$@ ./$@

=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.2+dfsg-3) unstable; urgency=medium

  [ Tim Potter ]
  * Team upload.
  * Add me to uploaders

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 09 Feb 2018 09:32:56 +0100

golang-github-mesos-mesos-go (0.0.2+dfsg-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Dmitry Smirnov ]
  * New "offline.patch" to disable networking tests (Closes: #830675)
  * rules: do not ignore failing tests.
  * (Build-)Depends: removed transitional alternatives.
  * Standards-Version: 3.9.8
  * Removed Built-Using field.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 23:46:54 +1000

golang-github-mesos-mesos-go (0.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2015].
  * (Build-)Depends:
    - golang-testify-dev | golang-github-stretchr-testify-dev
    + golang-github-stretchr-testify-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Mar 2016 23:40:20 +1100

=== debian/control ===
Source: golang-github-mesos-mesos-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Standards-Version: 3.9.8
Homepage: https://github.com/mesos/mesos-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-mesos-mesos-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-mesos-mesos-go.git
XS-Go-Import-Path: github.com/mesos/mesos-go

Package: golang-github-mesos-mesos-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go,
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Description: Go language bindings for Apache Mesos
 Pure Go language bindings for Apache Mesos. As with other pure
 implementation, mesos-go uses the HTTP wire protocol to communicate
 directly with a running Mesos master and its slave instances. One of the
 objectives of this project is to provide an idiomatic Go API that makes it
 super easy to create Mesos frameworks using Go.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES = examples

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test --max-parallel=1

## golang-github-mesos-mesos-go 0.0.6+dfsg

=== Makefile ===
mkfile_path	:= $(abspath $(lastword $(MAKEFILE_LIST)))
current_dir	:= $(patsubst %/,%,$(dir $(mkfile_path)))

MESOS_API_VERSION := v1
API_PKG    := ./api/${MESOS_API_VERSION}/lib
API_VENDOR := ${current_dir}/api/${MESOS_API_VERSION}/vendor
CMD_PKG    := ./api/${MESOS_API_VERSION}/cmd
CMD_VENDOR := ./api/${MESOS_API_VERSION}/cmd/vendor

PROTO_PATH := ${GOPATH}/src/:${API_VENDOR}/:.
PROTO_PATH := ${PROTO_PATH}:${API_VENDOR}/github.com/gogo/protobuf/protobuf
PROTO_PATH := ${PROTO_PATH}:${API_VENDOR}/github.com/gogo/protobuf/gogoproto

PACKAGES ?= $(shell go list ${API_PKG}/...|grep -v vendor)
TEST_DIRS ?= $(sort $(dir $(shell find ${API_PKG} -name '*_test.go' | grep -v vendor)))
BINARIES ?= $(shell go list -f "{{.Name}} {{.ImportPath}}" ${CMD_PKG}/...|grep -v -e vendor|grep -e ^main|cut -f2 -d' ')
TEST_FLAGS ?= -race
COVERAGE_TARGETS = ${TEST_DIRS:%/=%.cover}

GO_VERSION := $(shell go version|cut -f3 -d' '|dd bs=1 count=5 2>/dev/null)

.PHONY: all
all: test

.PHONY: install
install: INSTALL_FLAGS +=
install:
	go install $(INSTALL_FLAGS) $(BINARIES)

.PHONY: test
test:
	go $@ $(TEST_FLAGS) $(TEST_DIRS)

.PHONY: test-verbose
test-verbose: TEST_FLAGS += -v
test-verbose: test

.PHONY: coverage $(COVERAGE_TARGETS)
coverage: REPORT=_output/coverage.out
coverage: COVER_PACKAGE = $(shell go list ${API_PKG}/...|egrep -v 'vendor|cmd'|tr '\n' ','|sed -e 's/,$$//')
coverage: TEST_FLAGS = -v -cover -coverpkg=$(COVER_PACKAGE)
coverage: $(COVERAGE_TARGETS)
	echo "mode: set" >$(REPORT) && cat _output/*.cover | grep -v mode: | sort -r | \
		awk '{if($$1 != last) {print $$0;last=$$1}}' >> $(REPORT)
$(COVERAGE_TARGETS): %.cover :
	mkdir -p _output && go test ./$* $(TEST_FLAGS) -coverprofile=_output/$(subst /,___,$@)

.PHONY: vet
vet:
	go $@ $(PACKAGES) $(BINARIES)

.PHONY: codecs
codecs: protobufs ffjson

.PHONY: protobufs-requirements
protobufs-requirements: REQUIRED_PROTOC_BINARIES = protoc-gen-gogo
protobufs-requirements:
	@for i in ${REQUIRED_PROTOC_BINARIES}; do which $$i >/dev/null || { echo "failed to locate binary: $$i"; exit 1; }; done

.PHONY: protobufs
protobufs: protobufs-requirements clean-protobufs
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. *.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./scheduler/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./executor/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./agent/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./quota/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./allocator/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./maintenance/*.proto)
	(cd ${API_PKG}; protoc --proto_path="${PROTO_PATH}" --gogo_out=. ./master/*.proto)

.PHONY: clean-protobufs
clean-protobufs:
	(cd ${API_PKG}; rm -f *.pb.go */*.pb.go)

.PHONY: ffjson
ffjson: clean-ffjson
	(cd ${API_PKG}; ffjson *.pb.go)
	(cd ${API_PKG}; ffjson scheduler/*.pb.go)
	(cd ${API_PKG}; ffjson executor/*.pb.go)
	(cd ${API_PKG}; ffjson agent/*.pb.go)
	(cd ${API_PKG}; ffjson quota/*.pb.go)
	(cd ${API_PKG}; ffjson allocator/*.pb.go)
	(cd ${API_PKG}; ffjson maintenance/*.pb.go)
	(cd ${API_PKG}; ffjson master/*.pb.go)

.PHONY: clean-ffjson
clean-ffjson:
	(cd ${API_PKG}; rm -f *ffjson.go */*ffjson.go)

.PHONY: sync
sync:
	@which govendor >/dev/null || { echo "govendor not found in $$PATH"; exit 1; }
	(cd ${API_VENDOR}; govendor sync)
	(cd ${CMD_VENDOR}; govendor sync)

.PHONY: generate
generate: GENERATE_PACKAGES = ./api/v1/lib/extras/executor/eventrules ./api/v1/lib/extras/executor/callrules ./api/v1/lib/extras/scheduler/eventrules ./api/v1/lib/extras/scheduler/callrules ./api/v1/lib/executor/events ./api/v1/lib/executor/calls ./api/v1/lib/scheduler/events ./api/v1/lib/scheduler/calls ./api/v1/lib/agent/calls ./api/v1/lib/master/calls ./api/v1/lib/httpcli/httpagent ./api/v1/lib/httpcli/httpmaster ./api/v1/lib/httpcli/httpexec
generate:
	go generate -x ${GENERATE_PACKAGES}

GOPKG		:= github.com/mesos/mesos-go
GOPKG_DIRNAME	:= $(shell dirname $(GOPKG))
UID		?= $(shell id -u $$USER)
GID		?= $(shell id -g $$USER)

DOCKER_IMAGE_REPO       ?= jdef
DOCKER_IMAGE_NAME       ?= example-scheduler-httpv1
DOCKER_IMAGE_VERSION    ?= latest
DOCKER_IMAGE_TAG        ?= $(DOCKER_IMAGE_REPO)/$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_VERSION)

GOLDFLAGS	= -X $(GOPKG)/api/${MESOS_API_VERSION}/cmd.DockerImageTag=$(DOCKER_IMAGE_TAG)

BUILD_STEP	:= 'ln -s /src /go/src/$(GOPKG) && cd /go/src/$(GOPKG) && go install -ldflags "$(GOLDFLAGS)" $(BINARIES)'
COPY_STEP	:= 'cp /go/bin/* /src/_output/ && chown $(UID):$(GID) /src/_output/*'

# required for docker/Makefile
export DOCKER_IMAGE_TAG

.PHONY: docker
docker:
	mkdir -p _output
	test -n "$(UID)" || (echo 'ERROR: $$UID is undefined'; exit 1)
	test -n "$(GID)" || (echo 'ERROR: $$GID is undefined'; exit 1)
	docker run --rm -v "$$PWD":/src -w /go/src/$(GOPKG_DIRNAME) golang:1.8.1-alpine sh -c $(BUILD_STEP)' && '$(COPY_STEP)
	make -C api/${MESOS_API_VERSION}/docker

.PHONY: coveralls
coveralls: IGNORE_FILES = $(shell { find api/v1/cmd -type d ; ls api/v1/lib{,/scheduler,/executor,/agent,/quota,/allocator,/maintenance,/master}/*.pb{,_ffjson}.go ; find api/v0 -type d; } | tr '\n' ,)
coveralls: SHELL := /bin/bash
coveralls:
	test "$(TRAVIS)" = "" || rm -rf $$HOME/gopath/pkg
	$(MAKE) coverage
	$$HOME/gopath/bin/goveralls -service=travis-ci -coverprofile=_output/coverage.out -ignore=$(IGNORE_FILES)

# re-generate protobuf and json code, check that there are no differences w/ respect to what's been checked in
.PHONY: validate-protobufs
ifeq ($(GO_VERSION),go1.8)
validate-protobufs: SHELL := /bin/bash
validate-protobufs:
	(cd api/v1; govendor install +vendor,program) && $(MAKE) -s protobufs ffjson && [[ `{ git status --porcelain || echo "failed"; } | tee /tmp/status | wc -l` = "0" ]] || { cat /tmp/status; git diff; false; }
else
validate-protobufs:
endif

=== debian/changelog ===
golang-github-mesos-mesos-go (0.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
    Fixes lintian: uses-debhelper-compat-file
    See https://lintian.debian.org/tags/uses-debhelper-compat-file.html for more details.
  * Remove patches offline.patch that are missing from debian/patches/series.
    Fixes lintian: patch-file-present-but-not-mentioned-in-series
    See https://lintian.debian.org/tags/patch-file-present-but-not-mentioned-in-series.html for more details.

  [ Shengjing Zhu ]
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Replace golang-go with golang-any.
    And Remove golang-go from -dev Depends
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2020 14:32:46 +0800

golang-github-mesos-mesos-go (0.0.6+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Testsuite: autopkgtest-pkg-go
  * Priority: optional; Standards-Version: 4.4.1
  * DH & compat to version 12.
  * (Build-)Depends += "golang-github-pquerna-ffjson-dev".
  * rules: DH_GOLANG_GO_GENERATE := 1

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Oct 2019 12:53:28 +1100

=== debian/control ===
Source: golang-github-mesos-mesos-go
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Homepage: https://github.com/mesos/mesos-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mesos-mesos-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mesos-mesos-go.git
XS-Go-Import-Path: github.com/mesos/mesos-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-mesos-mesos-go-dev
Architecture: all
Depends: ${misc:Depends},
    golang-github-gogo-protobuf-dev,
    golang-glog-dev | golang-github-golang-glog-dev,
    golang-github-pborman-uuid-dev,
    golang-github-pquerna-ffjson-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev,
    golang-golang-x-net-dev
Description: Go language bindings for Apache Mesos
 Pure Go language bindings for Apache Mesos. As with other pure
 implementation, mesos-go uses the HTTP wire protocol to communicate
 directly with a running Mesos master and its slave instances. One of the
 objectives of this project is to provide an idiomatic Go API that makes it
 super easy to create Mesos frameworks using Go.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DH_GOLANG_EXCLUDES = examples
+export DH_GOLANG_GO_GENERATE := 1
+
+export DH_GOLANG_EXCLUDES = api/v0/examples api/v1/cmd
 
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/mesos/mesos-go/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
